Summary: The GNU libtool, which simplifies the use of shared libraries.
Name: libtool
Version: 1.5.2
Release: 3tr
License: GPL
Group: Trustix Official
Source: ftp://alpha.gnu.org/gnu/libtool-%{version}.tar.gz
Prefix: %{_prefix}
PreReq: htmlinfo
BuildRequires: texinfo
BuildRoot: /var/tmp/%{name}-root

%description
The libtool package contains the GNU libtool, a set of shell scripts
which automatically configure UNIX and UNIX-like architectures to
generically build shared libraries.  Libtool provides a consistent,
portable interface which simplifies the process of using shared
libraries.

If you are developing programs which will use shared libraries, you
should install libtool.

%prep
%setup -q

%build
./configure --prefix=%{_prefix} 
make -k -C doc
make
make -C tests
cd doc
makeinfo --html --no-split --force libtool.texi || :

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/share/html/libtool
make prefix=${RPM_BUILD_ROOT}%{_prefix} install
install -m 644 doc/libtool.html $RPM_BUILD_ROOT/usr/share/html/libtool/

cd $RPM_BUILD_ROOT
# XXX remove zero length file
  rm -f .%{_prefix}/share/libtool/libltdl/stamp-h.in
# XXX forcibly break hardlinks
  mv .%{_prefix}/share/libtool/libltdl .%{_prefix}/share/libtool/libltdl-X
  mkdir .%{_prefix}/share/libtool/libltdl
  cp .%{_prefix}/share/libtool/libltdl-X/* .%{_prefix}/share/libtool/libltdl
  rm -rf .%{_prefix}/share/libtool/libltdl-X

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
/usr/sbin/htmlinfo_update.sh

%postun
/usr/sbin/htmlinfo_update.sh

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL NEWS README
%doc THANKS TODO ChangeLog demo
%doc doc/*
%{_prefix}/bin/*
%{_prefix}/share/html/libtool
%{_prefix}/include/ltdl.h
%{_prefix}/lib/libltdl.*
%{_prefix}/share/libtool
%{_prefix}/share/aclocal/*

%changelog
* Fri Feb  7 2004 Omar Kilani <ok at trustix dot org> 1.5.2-1ok
- New upstream.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 1.4.3-2tr
- Big rebuild

* Thu May 22 2003 Erlend Midttun <erlendbm at trustix dot com> 1.4.3-1em
- New upstream.

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 1.4.2-4em
- Rebuilt against glibc 2.3.2.

* Fri Oct 25 2002 Christian H. Toldnes <christht at trustix dot com> 1.4.2-3ct
- Replaced info stuff with htmlinfo

* Thu May 30 2002 Christian H. Toldnes <christht at trustix dot com>
- Rebuild with -2ct

* Fri Feb 01 2002 Erlend Midttun <erlendbm at trustix dot com>
- New upstream version.

* Tue Jul 17 2001 Erlend Midttun <erlendbm at trustix dot com>
- Inc serial number before release.

* Thu Sep 14 2000 Per Ivar Paulsen <perp at trustix dot com>
- Picked up 1.3.5

* Sun Feb 27 2000 Lars Gaarden <larsg at trustix dot com>
- Moved info-file to /usr/share/info

* Mon Feb 14 2000 Erlend Midttun <erlendbm at trustix dot com>
- Repackaged for Trustix

* Wed Dec 22 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.3.4.

* Mon Dec  6 1999 Jeff Johnson <jbj@redhat.com>
- change from noarch to per-arch in order to package libltdl.a (#7493).

* Thu Jul 15 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.3.3.

* Mon Jun 14 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.3.2.

* Tue May 11 1999 Jeff Johnson <jbj@redhat.com>
- explicitly disable per-arch libraries (#2210)
- undo hard links and remove zero length file (#2689)

* Sat May  1 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.3.

* Fri Mar 26 1999 Cristian Gafton <gafton@redhat.com>
- disable the --cache-file passing to ltconfig; this breaks the older
  ltconfig scripts found around.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Fri Mar 19 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.2f

* Tue Mar 16 1999 Cristian Gafton <gafton@redhat.com>
- completed arm patch
- added patch to make it more arm-friendly
- upgrade to version 1.2d

* Thu May 07 1998 Donnie Barnes <djb@redhat.com>
- fixed busted group

* Sat Jan 24 1998 Marc Ewing <marc@redhat.com>
- Update to 1.0h
- added install-info support

* Tue Nov 25 1997 Elliot Lee <sopwith@redhat.com>
- Update to 1.0f
- BuildRoot it
- Make it a noarch package
